﻿namespace Ggd.Splorr.Gadabout

[<RequireQualifiedAccessAttribute>]
type Pattern =
    | Character00
    | Character01
    | Character02
    | Character03
    | Character04
    | Character05
    | Character06
    | Character07
    | Character08
    | Character09
    | Character0A
    | Character0B
    | Character0C
    | Character0D
    | Character0E
    | Character0F
    | Character10
    | Character11
    | Character12
    | Character13
    | Character14
    | Character15
    | Character16
    | Character17
    | Character18
    | Character19
    | Character1A
    | Character1B
    | Character1C
    | Character1D
    | Character1E
    | Character1F
    | Character20
    | Character21
    | Character22
    | Character23
    | Character24
    | Character25
    | Character26
    | Character27
    | Character28
    | Character29
    | Character2A
    | Character2B
    | Character2C
    | Character2D
    | Character2E
    | Character2F
    | Character30
    | Character31
    | Character32
    | Character33
    | Character34
    | Character35
    | Character36
    | Character37
    | Character38
    | Character39
    | Character3A
    | Character3B
    | Character3C
    | Character3D
    | Character3E
    | Character3F
    | Character40
    | Character41
    | Character42
    | Character43
    | Character44
    | Character45
    | Character46
    | Character47
    | Character48
    | Character49
    | Character4A
    | Character4B
    | Character4C
    | Character4D
    | Character4E
    | Character4F
    | Character50
    | Character51
    | Character52
    | Character53
    | Character54
    | Character55
    | Character56
    | Character57
    | Character58
    | Character59
    | Character5A
    | Character5B
    | Character5C
    | Character5D
    | Character5E
    | Character5F
    | Character60
    | Character61
    | Character62
    | Character63
    | Character64
    | Character65
    | Character66
    | Character67
    | Character68
    | Character69
    | Character6A
    | Character6B
    | Character6C
    | Character6D
    | Character6E
    | Character6F
    | Character70
    | Character71
    | Character72
    | Character73
    | Character74
    | Character75
    | Character76
    | Character77
    | Character78
    | Character79
    | Character7A
    | Character7B
    | Character7C
    | Character7D
    | Character7E
    | Character7F
    | Character80
    | Character81
    | Character82
    | Character83
    | Character84
    | Character85
    | Character86
    | Character87
    | Character88
    | Character89
    | Character8A
    | Character8B
    | Character8C
    | Character8D
    | Character8E
    | Character8F
    | Character90
    | Character91
    | Character92
    | Character93
    | Character94
    | Character95
    | Character96
    | Character97
    | Character98
    | Character99
    | Character9A
    | Character9B
    | Character9C
    | Character9D
    | Character9E
    | Character9F
    | CharacterA0
    | CharacterA1
    | CharacterA2
    | CharacterA3
    | CharacterA4
    | CharacterA5
    | CharacterA6
    | CharacterA7
    | CharacterA8
    | CharacterA9
    | CharacterAA
    | CharacterAB
    | CharacterAC
    | CharacterAD
    | CharacterAE
    | CharacterAF
    | CharacterB0
    | CharacterB1
    | CharacterB2
    | CharacterB3
    | CharacterB4
    | CharacterB5
    | CharacterB6
    | CharacterB7
    | CharacterB8
    | CharacterB9
    | CharacterBA
    | CharacterBB
    | CharacterBC
    | CharacterBD
    | CharacterBE
    | CharacterBF
    | CharacterC0
    | CharacterC1
    | CharacterC2
    | CharacterC3
    | CharacterC4
    | CharacterC5
    | CharacterC6
    | CharacterC7
    | CharacterC8
    | CharacterC9
    | CharacterCA
    | CharacterCB
    | CharacterCC
    | CharacterCD
    | CharacterCE
    | CharacterCF
    | CharacterD0
    | CharacterD1
    | CharacterD2
    | CharacterD3
    | CharacterD4
    | CharacterD5
    | CharacterD6
    | CharacterD7
    | CharacterD8
    | CharacterD9
    | CharacterDA
    | CharacterDB
    | CharacterDC
    | CharacterDD
    | CharacterDE
    | CharacterDF
    | CharacterE0
    | CharacterE1
    | CharacterE2
    | CharacterE3
    | CharacterE4
    | CharacterE5
    | CharacterE6
    | CharacterE7
    | CharacterE8
    | CharacterE9
    | CharacterEA
    | CharacterEB
    | CharacterEC
    | CharacterED
    | CharacterEE
    | CharacterEF
    | CharacterF0
    | CharacterF1
    | CharacterF2
    | CharacterF3
    | CharacterF4
    | CharacterF5
    | CharacterF6
    | CharacterF7
    | CharacterF8
    | CharacterF9
    | CharacterFA
    | CharacterFB
    | CharacterFC
    | CharacterFD
    | CharacterFE
    | CharacterFF
    | Field
    | Tree
    | Tagon
    | Solid
    | Box
    | Maze0
    | Maze1
    | Maze2
    | Maze3
    | Maze4
    | Maze5
    | Maze6
    | Maze7
    | Maze8
    | Maze9
    | Maze10
    | Maze11
    | Maze12
    | Maze13
    | Maze14
    | Maze15
    | Empty
    | UILeft
    | UILeftDown
    | UIRight
    | UIRightDown
    | UIUp
    | UIUpDown
    | UIDown
    | UIDownDown
    | Pin
    | Energy
    | Cursor
    | House
    | Door
    | OpenDoor
    | Wall
    | DeadTagon
    | Sapling
    | Acorn
    | Bush
    | Berries
    | Key
    | Rock
    | LeftHand
    | RightHand
    | Log
    | Stone
    | Axe
    | PickAxe
    | Shovel
    | Hammer
    | Hoe
    | BerrySeed
    | Pile
    | Rabbit
    | DeadRabbit
    | Hole
    | Fire
    | Trap
    | Knife
    | Pelt
    | Meat
    | Selector
    | Spear
    | Fish
    | Stomach
    | Eye
    | Mouth
    | Workbench
    | Furnace
    | Bone
    | Mushroom
    | Ingot
    | Sign
